(function($) {

    /**
     *  Simple hashtag jquery plugin
     */

    $.fn.hashtagger = function(options) {

        var settings = $.extend({
            // These are the defaults.
            elements: "div, p, li, ul, a, strong",
            hashClass: "hashtag"
        }, options);

        var document = $(this);

        $(settings.elements).each(function () {
          var text = $(this).text();
          if($(this).is(':contains(#)'))
           $(this).html($(this).html().replace(/#([^ ]+)/g, "<span class='" + settings.hashClass + "'>$1</span>"));
        })

        $('.' + settings.hashClass).each(function() {
          $(this).html(generateHash($(this).html()));
        });

        function generateHash(tag) {
          var domain = "https://twitter.com/hashtag/";
          var link = domain + tag + "?src=hash"
          return '<a href="' + link + '" target="_blank">#' + tag + '</a>';
        }

    };

}(jQuery));
